This is an archived version of the documentation for SonarQube-7.3.
See the Latest Documentation for current functionality.

Release 7.3 Upgrade Notes

Need to know

New "Administer Security Hotspots" Permission

During the upgrade, the new "Administer Security Hotspots" permission is granted to all users/groups who already have the "Administer Issues" permission.

Expanded Compute Engine Logs

Starting with this version, Compute Engine logs will be more verbose. These logs are rotated automatically, but on a daily basis, not based on file size.

PostgreSQL < 9.3 No Longer Supported

SonarQube 7.3+ only supports PostgreSQL 9.3 to 10. SonarQube will not start if you are using a lower version of PostgreSQL.

Some 3rd-party Plugins Incompatible

APIs deprecated before SonarQube 5.6 are dropped in this version, making some third-party plugins incompatible. It is always advised to check plugin compatibility in the Plugin Version Matrix with each new upgrade, and more so for this version.

Next steps

Follow the detailed Upgrade Guide to complete your upgrade.